Revoke an external integration account link
curl --request POST \
--url https://api.acornops.dev/api/v1/auth/external-integrations/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalUserId": "slack-user-id"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalUserId: 'slack-user-id'})
};
fetch('https://api.acornops.dev/api/v1/auth/external-integrations/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "revoked",
"link": {
"id": "<string>",
"integrationClientId": "<string>",
"provider": "<string>",
"clientDisplayName": "<string>",
"externalUserId": "<string>",
"linkedAt": "2023-11-07T05:31:56Z",
"lastAuthenticatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"grants": [
{
"workspaceId": "<string>",
"capabilities": [
"<string>"
],
"grantedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"externalDisplayName": "<string>",
"grantableWorkspaces": [
{
"workspaceId": "<string>",
"workspaceName": "<string>",
"role": "<string>",
"grantedCapabilities": [
"<string>"
],
"grantableCapabilities": [
"<string>"
]
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Auth and users
Revoke an external integration account link
Client-token endpoint for a registered external integration client to revoke one identity link scoped to that client.
Revoke an external integration account link
curl --request POST \
--url https://api.acornops.dev/api/v1/auth/external-integrations/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalUserId": "slack-user-id"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalUserId: 'slack-user-id'})
};
fetch('https://api.acornops.dev/api/v1/auth/external-integrations/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "revoked",
"link": {
"id": "<string>",
"integrationClientId": "<string>",
"provider": "<string>",
"clientDisplayName": "<string>",
"externalUserId": "<string>",
"linkedAt": "2023-11-07T05:31:56Z",
"lastAuthenticatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"grants": [
{
"workspaceId": "<string>",
"capabilities": [
"<string>"
],
"grantedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"externalDisplayName": "<string>",
"grantableWorkspaces": [
{
"workspaceId": "<string>",
"workspaceName": "<string>",
"role": "<string>",
"grantedCapabilities": [
"<string>"
],
"grantableCapabilities": [
"<string>"
]
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 128Example:
"slack-user-id"